Bug 121026 - [UPDATE] www/p5-RT-Client-REST
Summary: [UPDATE] www/p5-RT-Client-REST
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Kovesdan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-23 20:20 UTC by Felippe de Meirelles Motta
Modified: 2008-02-26 12:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.99 KB, patch)
2008-02-23 20:20 UTC, Felippe de Meirelles Motta
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felippe de Meirelles Motta 2008-02-23 20:20:03 UTC
- Updated to 0.32
- Use CPAN macro
- Better adjustment of dependences

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-02-23 20:20:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

gabor@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-02-23 20:20:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sergei Vyshenski 2008-02-24 11:33:25 UTC
I agree, except of one point:

Dependency lang/p5-Error is explicitly required by this port, and
it is not part of perl, and it is not (directly or indirectly)
required by other dependencies of this port. Thus I suggest
to keep the following line in the Makefile:

         ${SITE_PERL}/Error.pm:${PORTSDIR}/lang/p5-Error \

immediately after the line

BUILD_DEPENDS=  \


Edwin Groothuis wrote:
> Maintainer of www/p5-RT-Client-REST,
> 
> Please note that PR ports/121026 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/121026
>
Comment 4 Felippe de Meirelles Motta 2008-02-24 21:26:17 UTC
Sergei Vyshenski wrote:
> I agree, except of one point:
>
> Dependency lang/p5-Error is explicitly required by this port, and
> it is not part of perl, and it is not (directly or indirectly)
> required by other dependencies of this port. Thus I suggest
> to keep the following line in the Makefile:
>
>         ${SITE_PERL}/Error.pm:${PORTSDIR}/lang/p5-Error \
>
> immediately after the line
>
> BUILD_DEPENDS=  \
>
>
> Edwin Groothuis wrote:
>> Maintainer of www/p5-RT-Client-REST,
>>
>> Please note that PR ports/121026 has just been submitted.
>>
>> If it contains a patch for an upgrade, an enhancement or a bug fix
>> you agree on, reply to this email stating that you approve the patch
>> and a committer will take care of it.
>>
>> The full text of the PR can be found at:
>>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/121026
>>
>
>
>
Hey Sergei,

Really, is it true. Sorry for it, and thanks! :-)

-- 
Regards,
Felippe de Meirelles Motta
lippemail@gmail.com
Comment 5 Gabor Kovesdan freebsd_committer 2008-02-26 11:58:09 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2008-02-26 12:09:39 UTC
gabor       2008-02-26 11:57:47 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-RT-Client-REST Makefile distinfo 
  Log:
  - Update to 0.32
  - Style
  
  PR:             ports/121026
  Submitted by:   Felippe de Meirelles Motta <lippemail@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.3       +7 -9      ports/www/p5-RT-Client-REST/Makefile
  1.3       +3 -3      ports/www/p5-RT-Client-REST/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"